summaryrefslogtreecommitdiffstats
path: root/development/icoutils/icoutils.SlackBuild
diff options
context:
space:
mode:
author Mark Walling <mark@markwalling.org>2010-05-13 00:24:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:24:47 +0200
commit7b87bc849ace261c13172c5f991fdf33800558f6 (patch)
treeefbd860b34c0d2e455da7848e3317fc3488efd38 /development/icoutils/icoutils.SlackBuild
parent72ee118648770dcd6e6238ee749d26df07f99646 (diff)
downloadslackbuilds-7b87bc849ace261c13172c5f991fdf33800558f6.tar.gz
slackbuilds-7b87bc849ace261c13172c5f991fdf33800558f6.tar.xz
development/icoutils: Updated for version 0.26.0
Diffstat (limited to 'development/icoutils/icoutils.SlackBuild')
-rw-r--r--development/icoutils/icoutils.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/development/icoutils/icoutils.SlackBuild b/development/icoutils/icoutils.SlackBuild
index 1d262d130b..8856595b1d 100644
--- a/development/icoutils/icoutils.SlackBuild
+++ b/development/icoutils/icoutils.SlackBuild
@@ -37,10 +37,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -58,6 +61,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--build=$ARCH-slackware-linux
@@ -65,6 +69,9 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+# Kill an empty directory
+rmdir $PKG/usr/share 2>/dev/null || true
+
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
@@ -87,4 +94,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}